### Constructor

# PapersDocument AnnotationTextMarkup new

#### Declaration [src]

    PpsAnnotation*
    pps_annotation_text_markup_new (
      PpsPage* page,
      PpsAnnotationTextMarkupType markup_type
    )

#### Description

No description available.

#### Parameters

`page`

  Type: `PpsPage`

  No description available.

  The data is owned by the caller of the function.

`markup_type`

  Type: `PpsAnnotationTextMarkupType`

  No description available.

#### Return value

Type: `PpsAnnotation`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.